CREATE TABLE ask_topology_artifacts_mapping (
    TOPOLOGY_ARTIFACTS_MAP_ID    NUMBER(18, 0) ,
    OLD_ARTIFACAT                VARCHAR2(2000)    NOT NULL,
    NEW_ARTIFACT                 VARCHAR2(2000)    NOT NULL,
    ARTIFACT_TYPE                VARCHAR2(2000)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    TOPOLOGY_ARTIFACTS_MAP_ID    NUMBER(18, 0) ,
    OLD_ARTIFACAT                VARCHAR2(2000)    NOT NULL,
    NEW_ARTIFACT                 VARCHAR2(2000)    NOT NULL,
    ARTIFACT_TYPE                VARCHAR2(2000)    NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONSTRAINT pk_ask_topology_artifacts_mapping PRIMARY KEY (TOPOLOGY_ARTIFACTS_MAP_ID, TOPOLOGY_ARTIFACTS_MAP_ID)
);
